Query Product of sales channels
GET https://{handle}.myshopline.com/admin/openapi/v20261201/product_listings.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query Product of sales channels
Query Parameters
- page_info stringThe unique identifier for pagination queries, used to locate a specific page.This parameter value is obtained from the
linkvalue in the response header of this API after you have queried the pagination information.For example, if thelinkvalue you obtained is<https://{handle}.myshopline.com/admin/openapi/{version}/product_listings.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next", the value ofpage_infoiseyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9.For more information on how to use pagination, refer to Paging Mechanism.Example:eyJzaW5jZUlkIjoiMTYwNTc0NzY4NjQyMTI3MzUxNTQxNjAyODIiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjV9 - product_ids stringSelected according to the incoming product id list , up to 1000, separated by ','Example:
16057039432335097907370282 - updated_at_min stringFilter on the last updated product list after the date and timeExample:
2022-12-06T15:13:50+08:00 - collection_id stringUse collection id screeningExample:
12250433045062532239420282 - handle stringGlobal unique product handleExample:
This is Product Handle - limit stringLimit of query , default 50 , can not exceed 1000Example:
50
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
link
The URL link that provides the pagination data. You can obtainpage_infofrom this parameter for subsequent pagination requests.This parameter is returned when the requested page has a previous or next page.For more information on how to use pagination, refer to Paging Mechanism.traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
product_listingsobject[]
Product listhandle stringGlobal unique Product handleExample:product-handleproduct_id stringProduct IDExample:16057039432335097907370282subtitle stringproduct summaryExample:This is a subtitlevendor stringProduct vendorExample:Shoplinebody_html stringproduct descriptionExample:This is a descriptionpublished_at stringTime to post to the online storeExample:2022-12-06T15:13:50+08:00updated_at stringupdate timeExample:2022-12-06T15:13:50+08:00title stringProduct titleExample:This is a Product headlineoptionsobject[]
List of optionid stringOption idExample:16157850264851626133440282name stringOption nameExample:Colorproduct_id stringProduct IDExample:16057039432335097907370282values arrayList of option valueExample:["[\"Red\", \"Green\", \"White”]"]values_images mapThe image of option valueExample:{"Red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}spu stringSPU codeExample:S00000001status stringProduct status ; activated- on shelves , deactivated- off shelves , archived- filingExample:activetags stringProduct tagExample:tag1, tag2template_path stringTemplate pathExample:templates/products/detail.jsonvariantsobject[]
Variant listimageobject
Variant imagealt stringImage altExample:This is a image altsrc stringImage srcExample:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngoption1 stringThe variant corresponds to the value of the option1Example:Redoption3 stringThe variant corresponds to the value of the option3option4 stringThe variant corresponds to the value of the option4required_shipping booleanShipping or notExample:truebarcode stringBarcodeExample:B00000001inventory_quantity integerInventory summary for all locationsExample:100sku stringSKU codeExample:T00000001title stringVariant titleExample:Red / Lweight stringWeightExample:0.5inventory_item_id stringInventory Object IDExample:5703943240925324252inventory_policy stringOversold strategy: deny - Oversold is not allowed, continue - Oversold is allowedExample:denyinventory_tracker booleanTrack inventory , true : tracking , false : not trackingExample:trueoption5 stringThe variant corresponds to the value of the option5price stringselling priceExample:90product_id stringProduct IDExample:16057039432335097907370282taxable booleanTax collection or not requiredExample:trueweight_unit stringWeight units : g , kg , lb , oz , zh_kgExample:gcompare_at_price stringOriginal priceExample:100id stringVariant idExample:18057039432358082693350282option2 stringThe variant corresponds to the value of the option2Example:Lcreated_at stringProduct create timeExample:2022-12-06T15:13:50+08:00imagesobject[]
Product main image listingalt stringImage altExample:This is a image altsrc stringImage srcExample:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngpublished_scope stringSet the sales channel , when the value is " web " , it means online storesExample:web
API Explorer
Debugger
Examples
Was this article helpful to you?